#include <iostream>

using namespace std;

int main()
{
	int x1;
	int y1;
	int x2;
	int y2;

	cin >> x1;
	cin >> y1;
	cin >> x2;
	cin >> y2;

	if((x1==x2 && !(y1==y2)) || (!(x1==x2) && (y1==y2)))
	{
		cout << 2 << endl;
	}
	if(!(x1==x2) && !(y1==y2))
	{
		if(x1-x2==y1-y2)
		{
		    cout << 1 << endl;
		}
		else
        {
            cout << 0 << endl;
        }
	}

	return 0;
}